# CSCM602023 Advanced Programming (KKI) - 2020 - Final Programming Exam

Wan Muhammad Rayhan Arwindra - 1806241210

##Config
Store config in environment variables. Variables relating to database in application.properties now is stored in local and heroku environment variables.

##Codebase
Create staging branch, added extra heroku app for staging.

##Dev/prod parity
All variables needed are available in heroku

##Logs
Added log in home controller when creating conference and paper, and deleting conference